# List Vaults

Get a list of all vaults in an organization.

Endpoint: GET /api/v1/vaults
Version: 0.2.0
Security: bearerAuth

## Query parameters:

  - `sort_by` (array)
    Enum: "created_at_asc", "created_at_desc", "name_asc", "name_desc", "vault_type_asc", "vault_type_desc", "is_favorite_asc", "is_favorite_desc"

  - `page` (integer)
    The page number to fetch.

  - `size` (integer)
    The number of items per page.

  - `skip_count` (boolean)
    Whether to skip counting the total number of items.

  - `vault_ids` (array)
    Vault IDs to filter on.

  - `names` (array)
    List of full names to filter on.

  - `vault_types` (array)
    Vault types to filter on.
    Enum: "aptos", "arch", "black_box", "cosmos", "evm", "safe", "solana", "stacks", "starknet", "stellar", "sui", "ton", "tron", "utxo", "exchange"

  - `vault_states` (array)
    Vault states to filter on.
    Enum: "active", "archived", "deleted", "pending", "aborted"

  - `key_holder_ids` (array)
    List of key holder IDs to filter on.

  - `vault_group_ids` (array)
    List of vault group IDs to filter on. Filter applies to current and pending vault groups.

  - `exclude_vault_group_ids` (array)
    List of vault group IDs to exclude.

  - `exclude_vault_ids` (array)
    Vault IDs to exclude.

  - `origin_type` (string)
    Origin type to filter on.
    Enum: "native", "imported"

  - `account_addresses` (array)
    List of account addresses to filter on.

  - `positive_native_balance_chain_ids` (array)
    List of chain IDs to fetch native assets for. Only vaults with positive native balance in any of these chains will be included in native_assets response.

## Response 200 fields (application/json):

  - `total` (integer, required)

  - `page` (integer, required)

  - `size` (integer, required)

  - `vaults` (array, required) — one of (discriminator: type):
    - aptos:
      - `id` (string, required)
        The unique identifier of the object in the Fordefi platform.
      - `created_at` (string, required)
        The date and time when the object was created.
      - `modified_at` (string, required)
        The date and time when the object was last modified. Any change to any field of the resource is considered a modification.
      - `metadata` (object)
        Metadata in a form: .
      - `name` (string, required)
        The name of the vault.
      - `created_by` (any, required) — one of (discriminator: user_type):
        Details of the vault creator.
        - api_signer:
          - `id` (string, required)
            The unique identifier of the user in the Fordefi platform.
          - `user_type` (string, required)
            The type of the user.
          - `name` (string, required)
            The name of the user.
          - `state` (string, required)
            The state of the user.
            Enum: "active", "onboarding_pending_code_generation", "onboarding_pending_activation", "deleted"
        - api_user:
          - `id` (string, required)
            The unique identifier of the user in the Fordefi platform.
          - `user_type` (string, required)
            The type of the user.
          - `name` (string, required)
            The name of the user.
          - `state` (string, required)
            The state of the user.
            Enum: "active", "deleted"
          - `role` (string, required)
            The role of the user.
            Enum: "admin", "trader", "viewer"
        - end_user:
          - `id` (string, required)
            The unique identifier of the user in the Fordefi platform.
          - `user_type` (string, required)
            The type of the user.
          - `external_id` (string, required)
            External id of the user.
            Example: "user|1234"
          - `state` (string, required)
            The state of the user.
            Enum: same as `state` in "api_user" (2 values)
        - person:
          - `id` (string, required)
            The unique identifier of the user in the Fordefi platform.
          - `user_type` (string, required)
            The type of user. Can be a person, or (in programmatic scenarios) an API user or API Signer.
          - `name` (string)
            The name of the user.
            Example: "John Doe"
          - `email` (string, required)
            The email of the user.
          - `state` (string, required)
            The state of the user in the organization.
            Enum: "active", "onboarding_pending_code_generation", "onboarding_pending_activation", "reset_device_pending_code_generation", "reset_device_pending_activation", "pending_approval", "deleted"
          - `role` (string, required)
            The role of the user.
            Enum: same as `role` in "api_user" (3 values)
        - system:
          - `id` (string, required)
            The unique identifier of the user in the Fordefi platform.
          - `user_type` (string, required)
            The type of the user.
          - `name` (string, required)
            The name is Fordefi CARE
      - `vault_groups` (array, required)
        The vault groups this vault belongs to.
      - `vault_groups.id` (string, required)
        The unique identifier of the vault group in the Fordefi platform.
      - `vault_groups.name` (string, required)
        The name of the vault group.
      - `vault_groups.vaults_count` (object, required)
        The number of vaults in the group.
      - `vault_groups.vaults_count.count` (integer, required)
        The number of items in the bound count.
      - `vault_groups.vaults_count.has_more` (boolean, required)
        Whether there are more items in the bound count.
      - `vault_groups.can_current_user_create_or_edit_vaults` (boolean, required)
        Can the current user create or edit vaults in the group's based on the group permissions
      - `skip_indexing_reason` (string)
        Reason why the vault is not being indexed.
        Enum: "spam"
      - `is_external_signer` (boolean)
        Whether the vault uses an externally imported key (external signer).
      - `native_assets` (array)
        List of native asset information for requested chains. Chain info is in asset_identifier.
      - `native_assets.priced_asset` (object, required)
      - `native_assets.priced_asset.type` (string, required)
      - `native_assets.priced_asset.asset_info` (object, required)
        The asset info.
      - `native_assets.priced_asset.asset_info.id` (string, required)
        The asset ID.
      - `native_assets.priced_asset.asset_info.asset_identifier` (any, required) — one of (discriminator: type):
        The asset identifier.
        - aptos:
          - `type` (string, required)
            Aptos asset identifier type.
          - `details` (any, required) — one of (discriminator: type):
            - coin:
              - `type` (string, required)
                Legacy coin asset identifier type.
              - `coin_type` (object, required)
                The legacy coin details.
              - `coin_type.chain` (string, required)
                The chain details this address is of.
                Enum: "aptos_mainnet", "aptos_testnet", "aptos_movement_mainnet", "aptos_movement_testnet"
              - `coin_type.coin_type_str` (string, required)
                Coin type string representation.
            - native:
              - `type` (string, required)
                Aptos asset identifier type.
              - `chain` (string, required)
                The details of the chain of the native asset.
                Enum: same as `coin_type.chain` in "coin" (4 values)
            - new_coin:
              - `type` (string, required)
                New coin asset identifier type.
              - `new_coin_type` (object, required)
                The new coin details.
              - `new_coin_type.chain` (string, required)
                The chain details this address is of.
                Enum: same as `coin_type.chain` in "coin" (4 values)
              - `new_coin_type.metadata_address` (string, required)
                New coin's metadata address.
          - `chain` (object, required)
          - `chain.chain_type` (string, required)
            The type of the chain.
          - `chain.unique_id` (string, required)
            The type of the Aptos-based chain.
            Enum: same as `coin_type.chain` in "coin" (4 values)
          - `chain.name` (string, required)
            The full blockchain name.
          - `chain.native_currency_symbol` (string, required)
            The native currency symbol.
            Example: "ETH"
          - `chain.native_currency_name` (string, required)
            The native currency name.
            Example: "Ether"
          - `chain.blockchain_explorer` (object)
            A blockchain explorer entry point.
          - `chain.blockchain_explorer.transaction_url` (string, required)
            Example: "https://etherscan.io/tx/"
          - `chain.blockchain_explorer.address_url` (string, required)
            Example: "https://etherscan.io/address/"
          - `chain.blockchain_explorer.root_url` (string, required)
            Example: "https://etherscan.io/"
          - `chain.blockchain_explorer.transaction_format_url` (string)
            Example: "https://etherscan.io/tx/%s"
          - `chain.blockchain_explorer.address_format_url` (string)
            Example: "https://etherscan.io/address/%s"
          - `chain.blockchain_explorer.asset_format_url` (string)
            Example: "https://etherscan.io/address/%s"
          - `chain.logo_url` (string, required)
            The logo URL of the chain.
          - `chain.is_testnet` (boolean, required)
            Whether the chain is on a testnet.
          - `chain.is_enabled` (boolean, required)
            Whether the chain is enabled.
        - arch:
          - `type` (string, required)
            Arch asset identifier type.
          - `details` (any, required) — one of (discriminator: type):
            - apl_token:
              - `type` (string, required)
                APL token asset identifier type.
              - `token` (object, required)
                The APL token details.
              - `token.chain` (string, required)
                The chain details this address is of.
                Enum: "arch_mainnet", "arch_testnet"
              - `token.base58_repr` (string, required)
                Base58 representation of the address in the chain.
                Example: "4fYNw3dojWmQ4dXtSGE9epjRGy9pFSx62YypT7avPYvA"
            - native:
              - `type` (string, required)
                Arch asset identifier type.
              - `chain` (string, required)
                The details of the chain of the native asset.
                Enum: same as `token.chain` in "apl_token" (2 values)
          - `chain` (object, required)
          - `chain.chain_type` (string, required)
            The type of the chain.
          - `chain.unique_id` (string, required)
            The type of the Arch-based chain.
            Enum: same as `token.chain` in "apl_token" (2 values)
          - `chain.name` (string, required)
            The full blockchain name.
          - `chain.native_currency_symbol` (string, required)
            The native currency symbol.
            Example: "ETH"
          - `chain.native_currency_name` (string, required)
            The native currency name.
            Example: "Ether"
          - `chain.blockchain_explorer` (object)
            A blockchain explorer entry point.
          - `chain.blockchain_explorer.transaction_url` (string, required)
            Example: "https://etherscan.io/tx/"
          - `chain.blockchain_explorer.address_url` (string, required)
            Example: "https://etherscan.io/address/"
          - `chain.blockchain_explorer.root_url` (string, required)
            Example: "https://etherscan.io/"
          - `chain.blockchain_explorer.transaction_format_url` (string)
            Example: "https://etherscan.io/tx/%s"
          - `chain.blockchain_explorer.address_format_url` (string)
            Example: "https://etherscan.io/address/%s"
          - `chain.blockchain_explorer.asset_format_url` (string)
            Example: "https://etherscan.io/address/%s"
          - `chain.logo_url` (string, required)
            The logo URL of the chain.
          - `chain.is_testnet` (boolean, required)
            Whether the chain is on a testnet.
          - `chain.is_enabled` (boolean, required)
            Whether the chain is enabled.
        - cosmos:
          - `type` (string, required)
            Cosmos asset identifier type.
          - `details` (any, required) — one of (discriminator: type):
            - native:
              - `type` (string, required)
                Cosmos asset identifier type.
              - `chain` (string, required)
                The unique id of the chain of the asset.
                Enum: "cosmos_agoric-3", "cosmos_akashnet-2", "cosmos_archway-1", "cosmos_axelar-dojo-1", "cosmos_bbn-1", "cosmos_celestia", "cosmos_cosmoshub-4", "cosmos_dydx-mainnet-1", "cosmos_dydx-testnet-4", "cosmos_dymension_1100-1", "cosmos_injective-1", "cosmos_neutron-1", "cosmos_nillion-1", "cosmos_noble-1", "cosmos_osmosis-1", "cosmos_provider", "cosmos_ssc-1", "cosmos_pacific-1", "cosmos_stride-1", "cosmos_thorchain-1", "cosmos_mantra-1"
            - token:
              - `type` (string, required)
                Token asset identifier type.
              - `chain` (string, required)
                The unique id of the chain of the asset.
                Enum: same as `chain` in "native" (21 values)
              - `denom` (string, required)
                The denom of the asset.
          - `chain` (object, required)
          - `chain.chain_type` (string, required)
            The type of the chain.
          - `chain.unique_id` (string, required)
            The Cosmos chain unique id.
            Enum: same as `chain` in "native" (21 values)
          - `chain.name` (string, required)
            The full blockchain name.
          - `chain.native_currency_symbol` (string, required)
            The native currency symbol.
            Example: "ETH"
          - `chain.native_currency_name` (string, required)
            The native currency name.
            Example: "Ether"
          - `chain.blockchain_explorer` (object)
            A blockchain explorer entry point.
          - `chain.blockchain_explorer.transaction_url` (string, required)
            Example: "https://etherscan.io/tx/"
          - `chain.blockchain_explorer.address_url` (string, required)
            Example: "https://etherscan.io/address/"
          - `chain.blockchain_explorer.root_url` (string, required)
            Example: "https://etherscan.io/"
          - `chain.blockchain_explorer.transaction_format_url` (string)
            Example: "https://etherscan.io/tx/%s"
          - `chain.blockchain_explorer.address_format_url` (string)
            Example: "https://etherscan.io/address/%s"
          - `chain.blockchain_explorer.asset_format_url` (string)
            Example: "https://etherscan.io/address/%s"
          - `chain.logo_url` (string, required)
            The logo URL of the chain.
          - `chain.is_testnet` (boolean, required)
            Whether the chain is on a testnet.
          - `chain.is_enabled` (boolean, required)
            Whether the chain is enabled.
          - `chain.base_denom` (string, required)
            The base denom of the chain.
          - `chain.bech32_prefix` (string, required)
            The bech32 prefix for addresses on the chain.
            Enum: "agoric", "akash", "archway", "axelar", "bbn", "celestia", "cosmos", "dydx", "dym", "inj", "neutron", "nillion", "noble", "osmo", "saga", "sei", "stride", "thor", "mantra"
        - evm:
          - `type` (string, required)
            Asset identifier type.
          - `details` (any, required) — one of (discriminator: type):
            - erc1155:
              - `type` (string, required)
                EVM asset identifier type.
              - `token` (object, required)
                The ERC-1155 token contract.
              - `token.chain` (string, required)
                The chain details this address is of.
              - `token.hex_repr` (string, required)
                Hexadecimal representation of the address in the chain.
                Example: "0x71C7656EC7ab88b098defB751B7401B5f6d8976F"
              - `token_id` (string, required)
                The token id of the ERC-1155 token.
                Example: "1000000000000000000"
            - erc20:
              - `type` (string, required)
                EVM asset identifier type.
              - `token` (object, required)
                The ERC-20 token contract.
              - `token.chain` (string, required)
                The chain details this address is of.
              - `token.hex_repr` (string, required)
                Hexadecimal representation of the address in the chain.
                Example: "0x71C7656EC7ab88b098defB751B7401B5f6d8976F"
            - erc721:
              - `type` (string, required)
                EVM asset identifier type.
              - `token` (object, required)
                The ERC-721 token contract.
              - `token.chain` (string, required)
                The chain details this address is of.
              - `token.hex_repr` (string, required)
                Hexadecimal representation of the address in the chain.
                Example: "0x71C7656EC7ab88b098defB751B7401B5f6d8976F"
              - `token_id` (string, required)
                The token id of the ERC-721 token.
                Example: "1000000000000000000"
            - hyperliquid:
              - `type` (string, required)
                EVM asset identifier type.
              - `chain` (string, required)
                Currently artificially set to Arbitrum.
              - `token_id` (string, required)
                The token id of the asset on Hyperliquid.
              - `index` (integer, required)
                The index of the asset on Hyperliquid.
            - native:
              - `type` (string, required)
                EVM asset identifier type.
              - `chain` (string, required)
                The details of the chain of the native asset.
          - `chain` (object, required)
          - `chain.chain_type` (string, required)
            The type of the chain.
          - `chain.named_chain_id` (string)
            The EVM chain name can be either one of those supported by the default chains below or a custom chain name if one was added to your organization. arbitrum_mainnetarbitrum_sepoliaavalanche_chainavalanche_fujibase_mainnetberachain_mainnetblast_mainnetbsc_mainnetcanto_mainnetclink_mainnetclink_testnetconflux_mainnetdymension_mainnetethereum_goerliethereum_holeskyethereum_mainnetethereum_sepoliafantom_mainnetflare_mainnetflare_testnetgnosis_mainnethypercore_mainnethyperevm_mainnetink_mainnetkava_mainnetkatana_mainnetlinea_mainnetoptimism_mainnetpharos_mainnetplasma_mainnetmanta_pacific_mainnetmantle_mainnetmerlin_mainnetmonad_mainnetpolygon_mainnetpolygon_mumbaipolygon_zkevm_mainnetreya_mainnetrootstock_mainnetscroll_mainnetsei_mainnetsonic_mainnettempo_mainnetunichain_mainnetxai_mainnetx_layer_mainnetzero_gravity_mainnetzeta_mainnetzklink_nova_mainnetzksync_era_mainnet
          - `chain.chain_id` (integer, required)
            The EVM chain ID can be either one of those supported by the default chains below or a custom chain ID if one was added to your organization. 1=ethereum_mainnet5=ethereum_goerli10=optimism_mainnet14=flare_mainnet16=flare_testnet30=rootstock_mainnet56=bsc_mainnet100=gnosis_mainnet130=unichain_mainnet137=polygon_mainnet143=monad_mainnet146=sonic_mainnet169=manta_pacific_mainnet196=x_layer_mainnet250=fantom_mainnet324=zksync_era_mainnet999=hyperevm_mainnet1030=conflux_mainnet1100=dymension_mainnet1101=polygon_zkevm_mainnet1329=sei_mainnet1337=hypercore_mainnet1672=pharos_mainnet1729=reya_mainnet2222=kava_mainnet4200=merlin_mainnet4217=tempo_mainnet5000=mantle_mainnet7000=zeta_mainnet7700=canto_mainnet8453=base_mainnet8818=clink_mainnet8819=clink_testnet9745=plasma_mainnet16661=zero_gravity_mainnet17000=ethereum_holesky80001=polygon_mumbai80094=berachain_mainnet42161=arbitrum_mainnet43113=avalanche_fuji43114=avalanche_chain57073=ink_mainnet59144=linea_mainnet81457=blast_mainnet421614=arbitrum_sepolia534352=scroll_mainnet660279=xai_mainnet747474=katana_mainnet810180=zklink_nova_mainnet11155111=ethereum_sepolia
          - `chain.unique_id` (string, required)
            The unique EVM chain ID. Can be either one of those supported by the default chains below or a custom numeric chain ID evm_ if one was added to your organization. "evm_1""evm_5""evm_10""evm_14""evm_16""evm_30""evm_56""evm_100""evm_130""evm_137""evm_143""evm_146""evm_169""evm_196""evm_250""evm_324""evm_999""evm_1030""evm_1100""evm_1101""evm_1329""evm_1337""evm_1672""evm_1729""evm_2222""evm_4200""evm_4217""evm_5000""evm_7000""evm_7700""evm_8453""evm_8818""evm_8819""evm_9745""evm_16661""evm_17000""evm_80001""evm_80094""evm_42161""evm_43113""evm_43114""evm_57073""evm_59144""evm_81457""evm_421614""evm_534352""evm_660279""evm_747474""evm_810180""evm_11155111""evm_ethereum_mainnet""evm_ethereum_goerli""evm_optimism_mainnet""evm_flare_mainnet""evm_flare_testnet""evm_rootstock_mainnet""evm_bsc_mainnet""evm_gnosis_mainnet""evm_unichain_mainnet""evm_polygon_mainnet""evm_monad_mainnet""evm_sonic_mainnet""evm_manta_pacific_mainnet""evm_x_layer_mainnet""evm_fantom_mainnet""evm_zksync_era_mainnet""evm_hyperevm_mainnet""evm_conflux_mainnet""evm_dymension_mainnet""evm_polygon_zkevm_mainnet""evm_sei_mainnet""evm_hypercore_mainnet""evm_pharos_mainnet""evm_reya_mainnet""evm_kava_mainnet""evm_merlin_mainnet""evm_tempo_mainnet""evm_mantle_mainnet""evm_zeta_mainnet""evm_canto_mainnet""evm_base_mainnet""evm_clink_mainnet""evm_clink_testnet""evm_plasma_mainnet""evm_zero_gravity_mainnet""evm_ethereum_holesky""evm_polygon_mumbai""evm_berachain_mainnet""evm_arbitrum_mainnet""evm_avalanche_fuji""evm_avalanche_chain""evm_ink_mainnet""evm_linea_mainnet""evm_blast_mainnet""evm_arbitrum_sepolia""evm_scroll_mainnet""evm_xai_mainnet""evm_katana_mainnet""evm_zklink_nova_mainnet""evm_ethereum_sepolia"
          - `chain.name` (string, required)
            The full blockchain name.
          - `chain.native_currency_symbol` (string, required)
            The native currency symbol.
            Example: "ETH"
          - `chain.native_currency_name` (string, required)
            The native currency name.
            Example: "Ether"
          - `chain.blockchain_explorer` (object)
            A blockchain explorer entry point.
          - `chain.blockchain_explorer.transaction_url` (string, required)
            Example: "https://etherscan.io/tx/"
          - `chain.blockchain_explorer.address_url` (string, required)
            Example: "https://etherscan.io/address/"
          - `chain.blockchain_explorer.root_url` (string, required)
            Example: "https://etherscan.io/"
          - `chain.blockchain_explorer.transaction_format_url` (string)
            Example: "https://etherscan.io/tx/%s"
          - `chain.blockchain_explorer.address_format_url` (string)
            Example: "https://etherscan.io/address/%s"
          - `chain.blockchain_explorer.asset_format_url` (string)
            Example: "https://etherscan.io/address/%s"
          - `chain.logo_url` (string, required)
            The logo URL of the chain.
          - `chain.is_testnet` (boolean, required)
            Whether the chain is on a testnet.
          - `chain.is_enabled` (boolean, required)
            Whether the chain is enabled.
          - `chain.gas_type` (string, required)
            The type of gas used by the chain.
            Enum: "dynamic", "legacy"
          - `chain.supports_mev_protected_node` (boolean)
            True if the chain supports MEV protected nodes, False otherwise.
          - `chain.rpc_url` (string)
            The URL of the chain's RPC. Exists only for custom chains.
          - `chain.source` (string, required)
            The source of the chain. Can be:default: Chains with built-in support on Fordefi's platform.custom: User-added chains with support on Fordefi's platform.
            Enum: "default", "custom"
          - `chain.supports_7702` (boolean)
            True if the chain supports 7702, False otherwise.
        - exchange:
          - `type` (string, required)
            Asset identifier type.
          - `exchange_type` (string, required)
            exchange type.
            Enum: "binance", "bybit", "coinbase_international", "coinbase_us", "okx", "kraken"
          - `asset_symbol` (string, required)
            The symbol of the asset on the exchange.
          - `chain` (object, required)
          - `chain.chain_type` (string, required)
            The type of the chain.
          - `chain.unique_id` (string, required)
            The type of the Exchange-based chain.
            Enum: "exchange_binance", "exchange_bybit", "exchange_coinbase_international", "exchange_coinbase_us", "exchange_okx", "exchange_kraken"
          - `chain.name` (string, required)
            The full blockchain name.
          - `chain.native_currency_symbol` (string, required)
            The native currency symbol.
            Example: "ETH"
          - `chain.native_currency_name` (string, required)
            The native currency name.
            Example: "Ether"
          - `chain.blockchain_explorer` (object)
            A blockchain explorer entry point.
          - `chain.blockchain_explorer.transaction_url` (string, required)
            Example: "https://etherscan.io/tx/"
          - `chain.blockchain_explorer.address_url` (string, required)
            Example: "https://etherscan.io/address/"
          - `chain.blockchain_explorer.root_url` (string, required)
            Example: "https://etherscan.io/"
          - `chain.blockchain_explorer.transaction_format_url` (string)
            Example: "https://etherscan.io/tx/%s"
          - `chain.blockchain_explorer.address_format_url` (string)
            Example: "https://etherscan.io/address/%s"
          - `chain.blockchain_explorer.asset_format_url` (string)
            Example: "https://etherscan.io/address/%s"
          - `chain.logo_url` (string, required)
            The logo URL of the chain.
          - `chain.is_testnet` (boolean, required)
            Whether the chain is on a testnet.
          - `chain.is_enabled` (boolean, required)
            Whether the chain is enabled.
        - solana:
          - `type` (string, required)
            Solana asset identifier type.
          - `details` (any, required) — one of (discriminator: type):
            - native:
              - `type` (string, required)
                Solana asset identifier type.
              - `chain` (string, required)
                The details of the chain of the native asset.
                Enum: "solana_mainnet", "solana_devnet", "solana_eclipse_mainnet", "solana_fogo_mainnet", "solana_fogo_testnet"
            - spl_token:
              - `type` (string, required)
                SPL token asset identifier type.
              - `token` (object, required)
                The SPL token details.
              - `token.chain` (string, required)
                The chain details this address is of.
                Enum: same as `chain` in "native" (5 values)
              - `token.base58_repr` (string, required)
                Base58 representation of the address in the chain.
                Example: "4fYNw3dojWmQ4dXtSGE9epjRGy9pFSx62YypT7avPYvA"
          - `chain` (object, required)
          - `chain.chain_type` (string, required)
            The type of the chain.
          - `chain.unique_id` (string, required)
            The type of the Solana-based chain.
            Enum: same as `chain` in "native" (5 values)
          - `chain.name` (string, required)
            The full blockchain name.
          - `chain.native_currency_symbol` (string, required)
            The native currency symbol.
            Example: "ETH"
          - `chain.native_currency_name` (string, required)
            The native currency name.
            Example: "Ether"
          - `chain.blockchain_explorer` (object)
            A blockchain explorer entry point.
          - `chain.blockchain_explorer.transaction_url` (string, required)
            Example: "https://etherscan.io/tx/"
          - `chain.blockchain_explorer.address_url` (string, required)
            Example: "https://etherscan.io/address/"
          - `chain.blockchain_explorer.root_url` (string, required)
            Example: "https://etherscan.io/"
          - `chain.blockchain_explorer.transaction_format_url` (string)
            Example: "https://etherscan.io/tx/%s"
          - `chain.blockchain_explorer.address_format_url` (string)
            Example: "https://etherscan.io/address/%s"
          - `chain.blockchain_explorer.asset_format_url` (string)
            Example: "https://etherscan.io/address/%s"
          - `chain.logo_url` (string, required)
            The logo URL of the chain.
          - `chain.is_testnet` (boolean, required)
            Whether the chain is on a testnet.
          - `chain.is_enabled` (boolean, required)
            Whether the chain is enabled.
        - stacks:
          - `type` (string, required)
            Stacks asset identifier type.
          - `details` (any, required) — one of (discriminator: type):
            - native:
              - `type` (string, required)
                Stacks asset identifier type.
              - `chain` (string, required)
                The details of the chain of the native asset.
                Enum: "stacks_mainnet"
            - sip10:
              - `type` (string, required)
                Sip10 asset identifier type.
              - `sip10` (object, required)
                The Sip10 details.
              - `sip10.chain` (string, required)
                The chain details this address is of.
                Enum: same as `chain` in "native" (1 values)
              - `sip10.hex_repr` (string, required)
                Hexadecimal representation of the address in the chain.
                Example: "SP3J4NWQXC312DK0GXVRZKSRFBZG8S5FG1D2160E9"
          - `chain` (object, required)
          - `chain.chain_type` (string, required)
            The type of the chain.
          - `chain.unique_id` (string, required)
            The type of the Stacks-based chain.
            Enum: same as `chain` in "native" (1 values)
          - `chain.name` (string, required)
            The full blockchain name.
          - `chain.native_currency_symbol` (string, required)
            The native currency symbol.
            Example: "ETH"
          - `chain.native_currency_name` (string, required)
            The native currency name.
            Example: "Ether"
          - `chain.blockchain_explorer` (object)
            A blockchain explorer entry point.
          - `chain.blockchain_explorer.transaction_url` (string, required)
            Example: "https://etherscan.io/tx/"
          - `chain.blockchain_explorer.address_url` (string, required)
            Example: "https://etherscan.io/address/"
          - `chain.blockchain_explorer.root_url` (string, required)
            Example: "https://etherscan.io/"
          - `chain.blockchain_explorer.transaction_format_url` (string)
            Example: "https://etherscan.io/tx/%s"
          - `chain.blockchain_explorer.address_format_url` (string)
            Example: "https://etherscan.io/address/%s"
          - `chain.blockchain_explorer.asset_format_url` (string)
            Example: "https://etherscan.io/address/%s"
          - `chain.logo_url` (string, required)
            The logo URL of the chain.
          - `chain.is_testnet` (boolean, required)
            Whether the chain is on a testnet.
          - `chain.is_enabled` (boolean, required)
            Whether the chain is enabled.
        - starknet:
          - `type` (string, required)
            Starknet asset identifier type.
          - `details` (any, required) — one of (discriminator: type):
            - erc20:
              - `type` (string, required)
                Erc20 asset identifier type.
              - `erc20` (object, required)
                The Erc20 details.
              - `erc20.chain` (string, required)
                The chain details this address is of.
                Enum: "starknet_mainnet"
              - `erc20.hex_repr` (string, required)
                Hexadecimal representation of the address in the chain.
                Example: "0x0448f450e64B50dDF49e9F95C5b63a15cD21E21a39cA2D45628d9E5B27e5e1D8"
            - native:
              - `type` (string, required)
                Starknet asset identifier type.
              - `chain` (string, required)
                The details of the chain of the native asset.
                Enum: same as `erc20.chain` in "erc20" (1 values)
          - `chain` (object, required)
          - `chain.chain_type` (string, required)
            The type of the chain.
          - `chain.unique_id` (string, required)
            The type of the Starknet-based chain.
            Enum: same as `erc20.chain` in "erc20" (1 values)
          - `chain.name` (string, required)
            The full blockchain name.
          - `chain.native_currency_symbol` (string, required)
            The native currency symbol.
            Example: "ETH"
          - `chain.native_currency_name` (string, required)
            The native currency name.
            Example: "Ether"
          - `chain.blockchain_explorer` (object)
            A blockchain explorer entry point.
          - `chain.blockchain_explorer.transaction_url` (string, required)
            Example: "https://etherscan.io/tx/"
          - `chain.blockchain_explorer.address_url` (string, required)
            Example: "https://etherscan.io/address/"
          - `chain.blockchain_explorer.root_url` (string, required)
            Example: "https://etherscan.io/"
          - `chain.blockchain_explorer.transaction_format_url` (string)
            Example: "https://etherscan.io/tx/%s"
          - `chain.blockchain_explorer.address_format_url` (string)
            Example: "https://etherscan.io/address/%s"
          - `chain.blockchain_explorer.asset_format_url` (string)
            Example: "https://etherscan.io/address/%s"
          - `chain.logo_url` (string, required)
            The logo URL of the chain.
          - `chain.is_testnet` (boolean, required)
            Whether the chain is on a testnet.
          - `chain.is_enabled` (boolean, required)
            Whether the chain is enabled.
        - stellar:
          - `type` (string, required)
            Stellar asset identifier type.
          - `details` (any, required) — one of (discriminator: type):
            - classic_asset:
              - `type` (string, required)
                Stellar asset identifier type.
              - `code` (string, required)
                The 1-4 character asset code.
              - `issuer` (object, required)
                The issuer address.
              - `issuer.chain` (string, required)
                The chain details this address is of.
                Enum: "stellar_mainnet"
              - `issuer.base32_repr` (string, required)
                Hexadecimal representation of the address in the chain.
                Example: "GBRPYHIL2CI3FNQ4BXLFMNDLFJHO7W3B6FSHLTAVM2A4P45SHO4ZB7I2"
              - `chain` (string, required)
                The chain of the Classic Asset.
                Enum: same as `issuer.chain` in "classic_asset" (1 values)
            - native:
              - `type` (string, required)
                Stellar asset identifier type.
              - `chain` (string, required)
                The chain of the native asset.
                Enum: same as `issuer.chain` in "classic_asset" (1 values)
            - soroban_asset:
              - `type` (string, required)
                Stellar asset identifier type.
              - `address` (string, required)
                The Soroban asset address.
                Example: "GBRPYHIL2CI3FNQ4BXLFMNDLFJHO7W3B6FSHLTAVM2A4P45SHO4ZB7I2"
              - `chain` (string, required)
                The chain of the Soroban asset.
                Enum: same as `issuer.chain` in "classic_asset" (1 values)
          - `chain` (object, required)
          - `chain.chain_type` (string, required)
            The type of the chain.
          - `chain.unique_id` (string, required)
            The type of the Stellar chain.
            Enum: same as `issuer.chain` in "classic_asset" (1 values)
          - `chain.name` (string, required)
            The full blockchain name.
          - `chain.native_currency_symbol` (string, required)
            The native currency symbol.
            Example: "ETH"
          - `chain.native_currency_name` (string, required)
            The native currency name.
            Example: "Ether"
          - `chain.blockchain_explorer` (object)
            A blockchain explorer entry point.
          - `chain.blockchain_explorer.transaction_url` (string, required)
            Example: "https://etherscan.io/tx/"
          - `chain.blockchain_explorer.address_url` (string, required)
            Example: "https://etherscan.io/address/"
          - `chain.blockchain_explorer.root_url` (string, required)
            Example: "https://etherscan.io/"
          - `chain.blockchain_explorer.transaction_format_url` (string)
            Example: "https://etherscan.io/tx/%s"
          - `chain.blockchain_explorer.address_format_url` (string)
            Example: "https://etherscan.io/address/%s"
          - `chain.blockchain_explorer.asset_format_url` (string)
            Example: "https://etherscan.io/address/%s"
          - `chain.logo_url` (string, required)
            The logo URL of the chain.
          - `chain.is_testnet` (boolean, required)
            Whether the chain is on a testnet.
          - `chain.is_enabled` (boolean, required)
            Whether the chain is enabled.
        - sui:
          - `type` (string, required)
            Sui asset identifier type.
          - `details` (any, required) — one of (discriminator: type):
            - coin:
              - `type` (string, required)
                Coin asset identifier type.
              - `coin_type` (object, required)
                The Coin details.
              - `coin_type.chain` (string, required)
                The chain details this address is of.
                Enum: "sui_mainnet", "sui_testnet"
              - `coin_type.coin_type_str` (string, required)
                Coin type string representation.
            - native:
              - `type` (string, required)
                Sui asset identifier type.
              - `chain` (string, required)
                The details of the chain of the native asset.
                Enum: same as `coin_type.chain` in "coin" (2 values)
          - `chain` (object, required)
          - `chain.chain_type` (string, required)
            The type of the chain.
          - `chain.unique_id` (string, required)
            The type of the Sui-based chain.
            Enum: same as `coin_type.chain` in "coin" (2 values)
          - `chain.name` (string, required)
            The full blockchain name.
          - `chain.native_currency_symbol` (string, required)
            The native currency symbol.
            Example: "ETH"
          - `chain.native_currency_name` (string, required)
            The native currency name.
            Example: "Ether"
          - `chain.blockchain_explorer` (object)
            A blockchain explorer entry point.
          - `chain.blockchain_explorer.transaction_url` (string, required)
            Example: "https://etherscan.io/tx/"
          - `chain.blockchain_explorer.address_url` (string, required)
            Example: "https://etherscan.io/address/"
          - `chain.blockchain_explorer.root_url` (string, required)
            Example: "https://etherscan.io/"
          - `chain.blockchain_explorer.transaction_format_url` (string)
            Example: "https://etherscan.io/tx/%s"
          - `chain.blockchain_explorer.address_format_url` (string)
            Example: "https://etherscan.io/address/%s"
          - `chain.blockchain_explorer.asset_format_url` (string)
            Example: "https://etherscan.io/address/%s"
          - `chain.logo_url` (string, required)
            The logo URL of the chain.
          - `chain.is_testnet` (boolean, required)
            Whether the chain is on a testnet.
          - `chain.is_enabled` (boolean, required)
            Whether the chain is enabled.
        - ton:
          - `type` (string, required)
            TON asset identifier type.
          - `details` (any, required) — one of (discriminator: type):
            - jetton:
              - `type` (string, required)
                Jetton asset identifier type.
              - `jetton` (object, required)
                The Jetton details.
              - `jetton.chain` (string, required)
                The chain details this address is of.
                Enum: "ton_mainnet"
              - `jetton.address` (string, required)
                Contract address in a raw format.
            - native:
              - `type` (string, required)
                TON asset identifier type.
              - `chain` (string, required)
                The details of the chain of the native asset.
                Enum: same as `jetton.chain` in "jetton" (1 values)
          - `chain` (object, required)
          - `chain.chain_type` (string, required)
            The type of the chain.
          - `chain.unique_id` (string, required)
            The type of the TON-based chain.
            Enum: same as `jetton.chain` in "jetton" (1 values)
          - `chain.name` (string, required)
            The full blockchain name.
          - `chain.native_currency_symbol` (string, required)
            The native currency symbol.
            Example: "ETH"
          - `chain.native_currency_name` (string, required)
            The native currency name.
            Example: "Ether"
          - `chain.blockchain_explorer` (object)
            A blockchain explorer entry point.
          - `chain.blockchain_explorer.transaction_url` (string, required)
            Example: "https://etherscan.io/tx/"
          - `chain.blockchain_explorer.address_url` (string, required)
            Example: "https://etherscan.io/address/"
          - `chain.blockchain_explorer.root_url` (string, required)
            Example: "https://etherscan.io/"
          - `chain.blockchain_explorer.transaction_format_url` (string)
            Example: "https://etherscan.io/tx/%s"
          - `chain.blockchain_explorer.address_format_url` (string)
            Example: "https://etherscan.io/address/%s"
          - `chain.blockchain_explorer.asset_format_url` (string)
            Example: "https://etherscan.io/address/%s"
          - `chain.logo_url` (string, required)
            The logo URL of the chain.
          - `chain.is_testnet` (boolean, required)
            Whether the chain is on a testnet.
          - `chain.is_enabled` (boolean, required)
            Whether the chain is enabled.
        - tron:
          - `type` (string, required)
            TRON asset identifier type.
          - `details` (any, required) — one of (discriminator: type):
            - native:
              - `type` (string, required)
                TRON asset identifier type.
              - `chain` (string, required)
                The details of the chain of the native asset.
                Enum: "tron_mainnet", "tron_shasta"
            - trc20:
              - `type` (string, required)
                Trc20 asset identifier type.
              - `trc20` (object, required)
                The Trc20 details.
              - `trc20.chain` (string, required)
                The chain details this address is of.
                Enum: same as `chain` in "native" (2 values)
              - `trc20.base58_repr` (string, required)
                Base58 representation of the address in the chain.
                Example: "TJCnKsPa7y5okkXvQAidZBzqx3QyQ6sxMW"
          - `chain` (object, required)
          - `chain.chain_type` (string, required)
            The type of the chain.
          - `chain.unique_id` (string, required)
            The type of the Tron-based chain.
            Enum: same as `chain` in "native" (2 values)
          - `chain.name` (string, required)
            The full blockchain name.
          - `chain.native_currency_symbol` (string, required)
            The native currency symbol.
            Example: "ETH"
          - `chain.native_currency_name` (string, required)
            The native currency name.
            Example: "Ether"
          - `chain.blockchain_explorer` (object)
            A blockchain explorer entry point.
          - `chain.blockchain_explorer.transaction_url` (string, required)
            Example: "https://etherscan.io/tx/"
          - `chain.blockchain_explorer.address_url` (string, required)
            Example: "https://etherscan.io/address/"
          - `chain.blockchain_explorer.root_url` (string, required)
            Example: "https://etherscan.io/"
          - `chain.blockchain_explorer.transaction_format_url` (string)
            Example: "https://etherscan.io/tx/%s"
          - `chain.blockchain_explorer.address_format_url` (string)
            Example: "https://etherscan.io/address/%s"
          - `chain.blockchain_explorer.asset_format_url` (string)
            Example: "https://etherscan.io/address/%s"
          - `chain.logo_url` (string, required)
            The logo URL of the chain.
          - `chain.is_testnet` (boolean, required)
            Whether the chain is on a testnet.
          - `chain.is_enabled` (boolean, required)
            Whether the chain is enabled.
        - utxo:
          - `type` (string, required)
            Utxo asset identifier type.
          - `details` (object, required)
          - `details.type` (string, required)
            Utxo asset identifier type.
          - `details.chain` (string, required)
            The unique id of the chain of the asset.
            Enum: "bitcoin_mainnet", "bitcoin_testnet", "bitcoin_testnet_v4", "dogecoin_mainnet", "bitcoin_cash_mainnet", "pearl_testnet", "pearl_mainnet"
          - `chain` (object, required)
          - `chain.chain_type` (string, required)
            The type of the chain.
          - `chain.unique_id` (string, required)
            The UTXO chain unique ID.
            Enum: same as `details.chain` in "utxo" (7 values)
          - `chain.name` (string, required)
            The full blockchain name.
          - `chain.native_currency_symbol` (string, required)
            The native currency symbol.
            Example: "ETH"
          - `chain.native_currency_name` (string, required)
            The native currency name.
            Example: "Ether"
          - `chain.blockchain_explorer` (object)
            A blockchain explorer entry point.
          - `chain.blockchain_explorer.transaction_url` (string, required)
            Example: "https://etherscan.io/tx/"
          - `chain.blockchain_explorer.address_url` (string, required)
            Example: "https://etherscan.io/address/"
          - `chain.blockchain_explorer.root_url` (string, required)
            Example: "https://etherscan.io/"
          - `chain.blockchain_explorer.transaction_format_url` (string)
            Example: "https://etherscan.io/tx/%s"
          - `chain.blockchain_explorer.address_format_url` (string)
            Example: "https://etherscan.io/address/%s"
          - `chain.blockchain_explorer.asset_format_url` (string)
            Example: "https://etherscan.io/address/%s"
          - `chain.logo_url` (string, required)
            The logo URL of the chain.
          - `chain.is_testnet` (boolean, required)
            Whether the chain is on a testnet.
          - `chain.is_enabled` (boolean, required)
            Whether the chain is enabled.
      - `native_assets.priced_asset.asset_info.name` (string, required)
        The name of the asset.
      - `native_assets.priced_asset.asset_info.symbol` (string, required)
        The symbol (ticker) of the asset.
      - `native_assets.priced_asset.asset_info.decimals` (integer, required)
      - `native_assets.priced_asset.asset_info.verified` (boolean, required)
        True if this asset is verified by Fordefi, False otherwise.
      - `native_assets.priced_asset.asset_info.metadata_uri` (string)
        The URI of the asset metadata.
      - `native_assets.priced_asset.asset_info.is_spam` (boolean, required)
        True if this asset is spam, False otherwise.
      - `native_assets.priced_asset.asset_info.logo_url` (string)
        The URL of the asset logo.
      - `native_assets.priced_asset.asset_info.explorer_url` (string)
        The URL of a blockchain explorer that provides real-time information about the asset.
      - `native_assets.priced_asset.price` (object)
        The price of the asset (if it exists in the system).
      - `native_assets.priced_asset.price.price_float` (string, required)
        The price in the given fiat currency.
        Example: "1000000000000000000"
      - `native_assets.priced_asset.price.fiat_currency` (object, required)
      - `native_assets.priced_asset.price.fiat_currency.currency_symbol` (string, required)
        The symbol of the fiat currency.
        Enum: "usd"
      - `native_assets.priced_asset.price.fiat_currency.decimals` (integer, required)
        The number of decimals in the fiat currency.
      - `native_assets.balances` (object, required)
        The cryptocurrency balances of the asset.
      - `native_assets.balances.total_mined` (string, required)
        The value of all mined assets.
        Example: "1000000000000000000"
      - `native_assets.balances.total_pending_incoming` (string, required)
        The value of all pending incoming assets.
        Example: "1000000000000000000"
      - `native_assets.balances.available_mined` (string, required)
        The value of all available mined assets. Equals to total mined balance minus frozen mined.
        Example: "1000000000000000000"
      - `native_assets.balances.available_pending_incoming` (string, required)
        The value of all available pending incoming assets. Equals to total pending incoming minus frozen pending incoming.
        Example: "1000000000000000000"
      - `native_assets.balances.frozen_mined` (string, required)
        The value of all mined frozen assets.
        Example: "1000000000000000000"
      - `native_assets.balances.frozen_pending_incoming` (string, required)
        The value of all pending incoming frozen assets.
        Example: "1000000000000000000"
      - `native_assets.balances.trustline_limit` (string)
        The trustline limit for Stellar assets. Nil for non-Stellar assets or assets without trustlines.
        Example: "1000000000000000000"
      - `public_key_compressed` (string, required)
        The public key of the vault in its compressed form:  For ECDSA and Schnorr keys, the public key is represented as 33 bytes (0x02 or 0x03 followed by the x-coordinate) according to the [SEC1 standard](https://www.secg.org/SEC1-Ver-1.0.pdf). For EdDSA, the public key is represented as a 32-byte value, as defined by [RFC 8032](https://datatracker.ietf.org/doc/html/rfc8032).
        Example: "SGVsbG8="
      - `derivation_info` (object, required)
        The derivation info of the vault.
      - `derivation_info.derivation_path` (string, required)
        The BIP 44 derivation path of the vault.
        Example: "m/44/60/0/0/0"
      - `derivation_info.master_public_key` (object, required)
        The public key of the vault.
      - `derivation_info.master_public_key.id` (string, required)
        The ID of the key.
      - `derivation_info.master_public_key.xpub` (string, required)
        The xpub encoding of the key. For more details, see https://github.com/bitcoin/bips/blob/master/bip-0032.mediawiki#serialization-format
      - `key_holder` (object)
        The user who owns the keyset of the vault. If not provided, the vault is owned by the organization.
      - `key_holder.id` (string, required)
        The unique identifier of the user in the Fordefi platform.
      - `key_holder.user_type` (string, required)
        The type of the user.
      - `key_holder.external_id` (string, required)
        External id of the user.
        Example: "user|1234"
      - `key_holder.state` (string, required)
        The state of the user.
        Enum: same as `state` in "api_user" (2 values)
      - `origin_type` (string, required)
        The origin type of the vault.
        Enum: same as `origin_type` (2 values)
      - `state` (string, required)
        New state of the vault.
        Enum: "active", "archived"
      - `type` (string, required)
        Aptos vault type.
      - `address` (string, required)
        The address of the vault on Aptos chain types.
        Example: "0x3300c18e7b931bdfc73dccf3e2d043ad1c9d120c777fff5aeeb9956224e5247a"
    - arch:
      - `id` (string, required)
        The unique identifier of the object in the Fordefi platform.
      - `created_at` (string, required)
        The date and time when the object was created.
      - `modified_at` (string, required)
        The date and time when the object was last modified. Any change to any field of the resource is considered a modification.
      - `metadata` (object)
        Metadata in a form: .
      - `name` (string, required)
        The name of the vault.
      - `created_by` (any, required) — one of (discriminator: user_type):
        Details of the vault creator.
        - api_signer:
          - `id` (string, required)
            The unique identifier of the user in the Fordefi platform.
          - `user_type` (string, required)
            The type of the user.
          - `name` (string, required)
            The name of the user.
          - `state` (string, required)
            The state of the user.
            Enum: same as `state` in "api_signer" (4 values)
        - api_user:
          - `id` (string, required)
            The unique identifier of the user in the Fordefi platform.
          - `user_type` (string, required)
            The type of the user.
          - `name` (string, required)
            The name of the user.
          - `state` (string, required)
            The state of the user.
            Enum: same as `state` in "api_user" (2 values)
          - `role` (string, required)
            The role of the user.
            Enum: same as `role` in "api_user" (3 values)
        - end_user:
          - `id` (string, required)
            The unique identifier of the user in the Fordefi platform.
          - `user_type` (string, required)
            The type of the user.
          - `external_id` (string, required)
            External id of the user.
            Example: "user|1234"
          - `state` (string, required)
            The state of the user.
            Enum: same as `state` in "api_user" (2 values)
        - person:
          - `id` (string, required)
            The unique identifier of the user in the Fordefi platform.
          - `user_type` (string, required)
            The type of user. Can be a person, or (in programmatic scenarios) an API user or API Signer.
          - `name` (string)
            The name of the user.
            Example: "John Doe"
          - `email` (string, required)
            The email of the user.
          - `state` (string, required)
            The state of the user in the organization.
            Enum: same as `state` in "person" (7 values)
          - `role` (string, required)
            The role of the user.
            Enum: same as `role` in "api_user" (3 values)
        - system:
          - `id` (string, required)
            The unique identifier of the user in the Fordefi platform.
          - `user_type` (string, required)
            The type of the user.
          - `name` (string, required)
            The name is Fordefi CARE
      - `vault_groups` (array, required)
        The vault groups this vault belongs to.
      - `vault_groups.id` (string, required)
        The unique identifier of the vault group in the Fordefi platform.
      - `vault_groups.name` (string, required)
        The name of the vault group.
      - `vault_groups.vaults_count` (object, required)
        The number of vaults in the group.
      - `vault_groups.vaults_count.count` (integer, required)
        The number of items in the bound count.
      - `vault_groups.vaults_count.has_more` (boolean, required)
        Whether there are more items in the bound count.
      - `vault_groups.can_current_user_create_or_edit_vaults` (boolean, required)
        Can the current user create or edit vaults in the group's based on the group permissions
      - `skip_indexing_reason` (string)
        Reason why the vault is not being indexed.
        Enum: same as `skip_indexing_reason` in "aptos" (1 values)
      - `is_external_signer` (boolean)
        Whether the vault uses an externally imported key (external signer).
      - `native_assets` (array)
        List of native asset information for requested chains. Chain info is in asset_identifier.
      - `native_assets.priced_asset` (object, required)
      - `native_assets.priced_asset.type` (string, required)
      - `native_assets.priced_asset.asset_info` (object, required)
        The asset info.
      - `native_assets.priced_asset.asset_info.id` (string, required)
        The asset ID.
      - `native_assets.priced_asset.asset_info.asset_identifier` (any, required) — one of (discriminator: type):
        The asset identifier.
        - aptos:
          - `type` (string, required)
            Aptos asset identifier type.
          - `details` (any, required) — one of (discriminator: type):
            - coin:
              - `type` (string, required)
                Legacy coin asset identifier type.
              - `coin_type` (object, required)
                The legacy coin details.
              - `coin_type.chain` (string, required)
                The chain details this address is of.
                Enum: same as `coin_type.chain` in "coin" (4 values)
              - `coin_type.coin_type_str` (string, required)
                Coin type string representation.
            - native:
              - `type` (string, required)
                Aptos asset identifier type.
              - `chain` (string, required)
                The details of the chain of the native asset.
                Enum: same as `coin_type.chain` in "coin" (4 values)
            - new_coin:
              - `type` (string, required)
                New coin asset identifier type.
              - `new_coin_type` (object, required)
                The new coin details.
              - `new_coin_type.chain` (string, required)
                The chain details this address is of.
                Enum: same as `coin_type.chain` in "coin" (4 values)
              - `new_coin_type.metadata_address` (string, required)
                New coin's metadata address.
          - `chain` (object, required)
          - `chain.chain_type` (string, required)
            The type of the chain.
          - `chain.unique_id` (string, required)
            The type of the Aptos-based chain.
            Enum: same as `coin_type.chain` in "coin" (4 values)
          - `chain.name` (string, required)
            The full blockchain name.
          - `chain.native_currency_symbol` (string, required)
            The native currency symbol.
            Example: "ETH"
          - `chain.native_currency_name` (string, required)
            The native currency name.
            Example: "Ether"
          - `chain.blockchain_explorer` (object)
            A blockchain explorer entry point.
          - `chain.blockchain_explorer.transaction_url` (string, required)
            Example: "https://etherscan.io/tx/"
          - `chain.blockchain_explorer.address_url` (string, required)
            Example: "https://etherscan.io/address/"
          - `chain.blockchain_explorer.root_url` (string, required)
            Example: "https://etherscan.io/"
          - `chain.blockchain_explorer.transaction_format_url` (string)
            Example: "https://etherscan.io/tx/%s"
          - `chain.blockchain_explorer.address_format_url` (string)
            Example: "https://etherscan.io/address/%s"
          - `chain.blockchain_explorer.asset_format_url` (string)
            Example: "https://etherscan.io/address/%s"
          - `chain.logo_url` (string, required)
            The logo URL of the chain.
          - `chain.is_testnet` (boolean, required)
            Whether the chain is on a testnet.
          - `chain.is_enabled` (boolean, required)
            Whether the chain is enabled.
        - arch:
          - `type` (string, required)
            Arch asset identifier type.
          - `details` (any, required) — one of (discriminator: type):
            - apl_token:
              - `type` (string, required)
                APL token asset identifier type.
              - `token` (object, required)
                The APL token details.
              - `token.chain` (string, required)
                The chain details this address is of.
                Enum: same as `token.chain` in "apl_token" (2 values)
              - `token.base58_repr` (string, required)
                Base58 representation of the address in the chain.
                Example: "4fYNw3dojWmQ4dXtSGE9epjRGy9pFSx62YypT7avPYvA"
            - native:
              - `type` (string, required)
                Arch asset identifier type.
              - `chain` (string, required)
                The details of the chain of the native asset.
                Enum: same as `token.chain` in "apl_token" (2 values)
          - `chain` (object, required)
          - `chain.chain_type` (string, required)
            The type of the chain.
          - `chain.unique_id` (string, required)
            The type of the Arch-based chain.
            Enum: same as `token.chain` in "apl_token" (2 values)
          - `chain.name` (string, required)
            The full blockchain name.
          - `chain.native_currency_symbol` (string, required)
            The native currency symbol.
            Example: "ETH"
          - `chain.native_currency_name` (string, required)
            The native currency name.
            Example: "Ether"
          - `chain.blockchain_explorer` (object)
            A blockchain explorer entry point.
          - `chain.blockchain_explorer.transaction_url` (string, required)
            Example: "https://etherscan.io/tx/"
          - `chain.blockchain_explorer.address_url` (string, required)
            Example: "https://etherscan.io/address/"
          - `chain.blockchain_explorer.root_url` (string, required)
            Example: "https://etherscan.io/"
          - `chain.blockchain_explorer.transaction_format_url` (string)
            Example: "https://etherscan.io/tx/%s"
          - `chain.blockchain_explorer.address_format_url` (string)
            Example: "https://etherscan.io/address/%s"
          - `chain.blockchain_explorer.asset_format_url` (string)
            Example: "https://etherscan.io/address/%s"
          - `chain.logo_url` (string, required)
            The logo URL of the chain.
          - `chain.is_testnet` (boolean, required)
            Whether the chain is on a testnet.
          - `chain.is_enabled` (boolean, required)
            Whether the chain is enabled.
        - cosmos:
          - `type` (string, required)
            Cosmos asset identifier type.
          - `details` (any, required) — one of (discriminator: type):
            - native:
              - `type` (string, required)
                Cosmos asset identifier type.
              - `chain` (string, required)
                The unique id of the chain of the asset.
                Enum: same as `chain` in "native" (21 values)
            - token:
              - `type` (string, required)
                Token asset identifier type.
              - `chain` (string, required)
                The unique id of the chain of the asset.
                Enum: same as `chain` in "native" (21 values)
              - `denom` (string, required)
                The denom of the asset.
          - `chain` (object, required)
          - `chain.chain_type` (string, required)
            The type of the chain.
          - `chain.unique_id` (string, required)
            The Cosmos chain unique id.
            Enum: same as `chain` in "native" (21 values)
          - `chain.name` (string, required)
            The full blockchain name.
          - `chain.native_currency_symbol` (string, required)
            The native currency symbol.
            Example: "ETH"
          - `chain.native_currency_name` (string, required)
            The native currency name.
            Example: "Ether"
          - `chain.blockchain_explorer` (object)
            A blockchain explorer entry point.
          - `chain.blockchain_explorer.transaction_url` (string, required)
            Example: "https://etherscan.io/tx/"
          - `chain.blockchain_explorer.address_url` (string, required)
            Example: "https://etherscan.io/address/"
          - `chain.blockchain_explorer.root_url` (string, required)
            Example: "https://etherscan.io/"
          - `chain.blockchain_explorer.transaction_format_url` (string)
            Example: "https://etherscan.io/tx/%s"
          - `chain.blockchain_explorer.address_format_url` (string)
            Example: "https://etherscan.io/address/%s"
          - `chain.blockchain_explorer.asset_format_url` (string)
            Example: "https://etherscan.io/address/%s"
          - `chain.logo_url` (string, required)
            The logo URL of the chain.
          - `chain.is_testnet` (boolean, required)
            Whether the chain is on a testnet.
          - `chain.is_enabled` (boolean, required)
            Whether the chain is enabled.
          - `chain.base_denom` (string, required)
            The base denom of the chain.
          - `chain.bech32_prefix` (string, required)
            The bech32 prefix for addresses on the chain.
            Enum: same as `chain.bech32_prefix` in "cosmos" (19 values)
        - evm:
          - `type` (string, required)
            Asset identifier type.
          - `details` (any, required) — one of (discriminator: type):
            - erc1155:
              - `type` (string, required)
                EVM asset identifier type.
              - `token` (object, required)
                The ERC-1155 token contract.
              - `token.chain` (string, required)
                The chain details this address is of.
              - `token.hex_repr` (string, required)
                Hexadecimal representation of the address in the chain.
                Example: "0x71C7656EC7ab88b098defB751B7401B5f6d8976F"
              - `token_id` (string, required)
                The token id of the ERC-1155 token.
                Example: "1000000000000000000"
            - erc20:
              - `type` (string, required)
                EVM asset identifier type.
              - `token` (object, required)
                The ERC-20 token contract.
              - `token.chain` (string, required)
                The chain details this address is of.
              - `token.hex_repr` (string, required)
                Hexadecimal representation of the address in the chain.
                Example: "0x71C7656EC7ab88b098defB751B7401B5f6d8976F"
            - erc721:
              - `type` (string, required)
                EVM asset identifier type.
              - `token` (object, required)
                The ERC-721 token contract.
              - `token.chain` (string, required)
                The chain details this address is of.
              - `token.hex_repr` (string, required)
                Hexadecimal representation of the address in the chain.
                Example: "0x71C7656EC7ab88b098defB751B7401B5f6d8976F"
              - `token_id` (string, required)
                The token id of the ERC-721 token.
                Example: "1000000000000000000"
            - hyperliquid:
              - `type` (string, required)
                EVM asset identifier type.
              - `chain` (string, required)
                Currently artificially set to Arbitrum.
              - `token_id` (string, required)
                The token id of the asset on Hyperliquid.
              - `index` (integer, required)
                The index of the asset on Hyperliquid.
            - native:
              - `type` (string, required)
                EVM asset identifier type.
              - `chain` (string, required)
                The details of the chain of the native asset.
          - `chain` (object, required)
          - `chain.chain_type` (string, required)
            The type of the chain.
          - `chain.named_chain_id` (string)
            The EVM chain name can be either one of those supported by the default chains below or a custom chain name if one was added to your organization. arbitrum_mainnetarbitrum_sepoliaavalanche_chainavalanche_fujibase_mainnetberachain_mainnetblast_mainnetbsc_mainnetcanto_mainnetclink_mainnetclink_testnetconflux_mainnetdymension_mainnetethereum_goerliethereum_holeskyethereum_mainnetethereum_sepoliafantom_mainnetflare_mainnetflare_testnetgnosis_mainnethypercore_mainnethyperevm_mainnetink_mainnetkava_mainnetkatana_mainnetlinea_mainnetoptimism_mainnetpharos_mainnetplasma_mainnetmanta_pacific_mainnetmantle_mainnetmerlin_mainnetmonad_mainnetpolygon_mainnetpolygon_mumbaipolygon_zkevm_mainnetreya_mainnetrootstock_mainnetscroll_mainnetsei_mainnetsonic_mainnettempo_mainnetunichain_mainnetxai_mainnetx_layer_mainnetzero_gravity_mainnetzeta_mainnetzklink_nova_mainnetzksync_era_mainnet
          - `chain.chain_id` (integer, required)
            The EVM chain ID can be either one of those supported by the default chains below or a custom chain ID if one was added to your organization. 1=ethereum_mainnet5=ethereum_goerli10=optimism_mainnet14=flare_mainnet16=flare_testnet30=rootstock_mainnet56=bsc_mainnet100=gnosis_mainnet130=unichain_mainnet137=polygon_mainnet143=monad_mainnet146=sonic_mainnet169=manta_pacific_mainnet196=x_layer_mainnet250=fantom_mainnet324=zksync_era_mainnet999=hyperevm_mainnet1030=conflux_mainnet1100=dymension_mainnet1101=polygon_zkevm_mainnet1329=sei_mainnet1337=hypercore_mainnet1672=pharos_mainnet1729=reya_mainnet2222=kava_mainnet4200=merlin_mainnet4217=tempo_mainnet5000=mantle_mainnet7000=zeta_mainnet7700=canto_mainnet8453=base_mainnet8818=clink_mainnet8819=clink_testnet9745=plasma_mainnet16661=zero_gravity_mainnet17000=ethereum_holesky80001=polygon_mumbai80094=berachain_mainnet42161=arbitrum_mainnet43113=avalanche_fuji43114=avalanche_chain57073=ink_mainnet59144=linea_mainnet81457=blast_mainnet421614=arbitrum_sepolia534352=scroll_mainnet660279=xai_mainnet747474=katana_mainnet810180=zklink_nova_mainnet11155111=ethereum_sepolia
          - `chain.unique_id` (string, required)
            The unique EVM chain ID. Can be either one of those supported by the default chains below or a custom numeric chain ID evm_ if one was added to your organization. "evm_1""evm_5""evm_10""evm_14""evm_16""evm_30""evm_56""evm_100""evm_130""evm_137""evm_143""evm_146""evm_169""evm_196""evm_250""evm_324""evm_999""evm_1030""evm_1100""evm_1101""evm_1329""evm_1337""evm_1672""evm_1729""evm_2222""evm_4200""evm_4217""evm_5000""evm_7000""evm_7700""evm_8453""evm_8818""evm_8819""evm_9745""evm_16661""evm_17000""evm_80001""evm_80094""evm_42161""evm_43113""evm_43114""evm_57073""evm_59144""evm_81457""evm_421614""evm_534352""evm_660279""evm_747474""evm_810180""evm_11155111""evm_ethereum_mainnet""evm_ethereum_goerli""evm_optimism_mainnet""evm_flare_mainnet""evm_flare_testnet""evm_rootstock_mainnet""evm_bsc_mainnet""evm_gnosis_mainnet""evm_unichain_mainnet""evm_polygon_mainnet""evm_monad_mainnet""evm_sonic_mainnet""evm_manta_pacific_mainnet""evm_x_layer_mainnet""evm_fantom_mainnet""evm_zksync_era_mainnet""evm_hyperevm_mainnet""evm_conflux_mainnet""evm_dymension_mainnet""evm_polygon_zkevm_mainnet""evm_sei_mainnet""evm_hypercore_mainnet""evm_pharos_mainnet""evm_reya_mainnet""evm_kava_mainnet""evm_merlin_mainnet""evm_tempo_mainnet""evm_mantle_mainnet""evm_zeta_mainnet""evm_canto_mainnet""evm_base_mainnet""evm_clink_mainnet""evm_clink_testnet""evm_plasma_mainnet""evm_zero_gravity_mainnet""evm_ethereum_holesky""evm_polygon_mumbai""evm_berachain_mainnet""evm_arbitrum_mainnet""evm_avalanche_fuji""evm_avalanche_chain""evm_ink_mainnet""evm_linea_mainnet""evm_blast_mainnet""evm_arbitrum_sepolia""evm_scroll_mainnet""evm_xai_mainnet""evm_katana_mainnet""evm_zklink_nova_mainnet""evm_ethereum_sepolia"
          - `chain.name` (string, required)
            The full blockchain name.
          - `chain.native_currency_symbol` (string, required)
            The native currency symbol.
            Example: "ETH"
          - `chain.native_currency_name` (string, required)
            The native currency name.
            Example: "Ether"
          - `chain.blockchain_explorer` (object)
            A blockchain explorer entry point.
          - `chain.blockchain_explorer.transaction_url` (string, required)
            Example: "https://etherscan.io/tx/"
          - `chain.blockchain_explorer.address_url` (string, required)
            Example: "https://etherscan.io/address/"
          - `chain.blockchain_explorer.root_url` (string, required)
            Example: "https://etherscan.io/"
          - `chain.blockchain_explorer.transaction_format_url` (string)
            Example: "https://etherscan.io/tx/%s"
          - `chain.blockchain_explorer.address_format_url` (string)
            Example: "https://etherscan.io/address/%s"
          - `chain.blockchain_explorer.asset_format_url` (string)
            Example: "https://etherscan.io/address/%s"
          - `chain.logo_url` (string, required)
            The logo URL of the chain.
          - `chain.is_testnet` (boolean, required)
            Whether the chain is on a testnet.
          - `chain.is_enabled` (boolean, required)
            Whether the chain is enabled.
          - `chain.gas_type` (string, required)
            The type of gas used by the chain.
            Enum: same as `chain.gas_type` in "evm" (2 values)
          - `chain.supports_mev_protected_node` (boolean)
            True if the chain supports MEV protected nodes, False otherwise.
          - `chain.rpc_url` (string)
            The URL of the chain's RPC. Exists only for custom chains.
          - `chain.source` (string, required)
            The source of the chain. Can be:default: Chains with built-in support on Fordefi's platform.custom: User-added chains with support on Fordefi's platform.
            Enum: same as `chain.source` in "evm" (2 values)
          - `chain.supports_7702` (boolean)
            True if the chain supports 7702, False otherwise.
        - exchange:
          - `type` (string, required)
            Asset identifier type.
          - `exchange_type` (string, required)
            exchange type.
            Enum: same as `exchange_type` in "exchange" (6 values)
          - `asset_symbol` (string, required)
            The symbol of the asset on the exchange.
          - `chain` (object, required)
          - `chain.chain_type` (string, required)
            The type of the chain.
          - `chain.unique_id` (string, required)
            The type of the Exchange-based chain.
            Enum: same as `chain.unique_id` in "exchange" (6 values)
          - `chain.name` (string, required)
            The full blockchain name.
          - `chain.native_currency_symbol` (string, required)
            The native currency symbol.
            Example: "ETH"
          - `chain.native_currency_name` (string, required)
            The native currency name.
            Example: "Ether"
          - `chain.blockchain_explorer` (object)
            A blockchain explorer entry point.
          - `chain.blockchain_explorer.transaction_url` (string, required)
            Example: "https://etherscan.io/tx/"
          - `chain.blockchain_explorer.address_url` (string, required)
            Example: "https://etherscan.io/address/"
          - `chain.blockchain_explorer.root_url` (string, required)
            Example: "https://etherscan.io/"
          - `chain.blockchain_explorer.transaction_format_url` (string)
            Example: "https://etherscan.io/tx/%s"
          - `chain.blockchain_explorer.address_format_url` (string)
            Example: "https://etherscan.io/address/%s"
          - `chain.blockchain_explorer.asset_format_url` (string)
            Example: "https://etherscan.io/address/%s"
          - `chain.logo_url` (string, required)
            The logo URL of the chain.
          - `chain.is_testnet` (boolean, required)
            Whether the chain is on a testnet.
          - `chain.is_enabled` (boolean, required)
            Whether the chain is enabled.
        - solana:
          - `type` (string, required)
            Solana asset identifier type.
          - `details` (any, required) — one of (discriminator: type):
            - native:
              - `type` (string, required)
                Solana asset identifier type.
              - `chain` (string, required)
                The details of the chain of the native asset.
                Enum: same as `chain` in "native" (5 values)
            - spl_token:
              - `type` (string, required)
                SPL token asset identifier type.
              - `token` (object, required)
                The SPL token details.
              - `token.chain` (string, required)
                The chain details this address is of.
                Enum: same as `chain` in "native" (5 values)
              - `token.base58_repr` (string, required)
                Base58 representation of the address in the chain.
                Example: "4fYNw3dojWmQ4dXtSGE9epjRGy9pFSx62YypT7avPYvA"
          - `chain` (object, required)
          - `chain.chain_type` (string, required)
            The type of the chain.
          - `chain.unique_id` (string, required)
            The type of the Solana-based chain.
            Enum: same as `chain` in "native" (5 values)
          - `chain.name` (string, required)
            The full blockchain name.
          - `chain.native_currency_symbol` (string, required)
            The native currency symbol.
            Example: "ETH"
          - `chain.native_currency_name` (string, required)
            The native currency name.
            Example: "Ether"
          - `chain.blockchain_explorer` (object)
            A blockchain explorer entry point.
          - `chain.blockchain_explorer.transaction_url` (string, required)
            Example: "https://etherscan.io/tx/"
          - `chain.blockchain_explorer.address_url` (string, required)
            Example: "https://etherscan.io/address/"
          - `chain.blockchain_explorer.root_url` (string, required)
            Example: "https://etherscan.io/"
          - `chain.blockchain_explorer.transaction_format_url` (string)
            Example: "https://etherscan.io/tx/%s"
          - `chain.blockchain_explorer.address_format_url` (string)
            Example: "https://etherscan.io/address/%s"
          - `chain.blockchain_explorer.asset_format_url` (string)
            Example: "https://etherscan.io/address/%s"
          - `chain.logo_url` (string, required)
            The logo URL of the chain.
          - `chain.is_testnet` (boolean, required)
            Whether the chain is on a testnet.
          - `chain.is_enabled` (boolean, required)
            Whether the chain is enabled.
        - stacks:
          - `type` (string, required)
            Stacks asset identifier type.
          - `details` (any, required) — one of (discriminator: type):
            - native:
              - `type` (string, required)
                Stacks asset identifier type.
              - `chain` (string, required)
                The details of the chain of the native asset.
                Enum: same as `chain` in "native" (1 values)
            - sip10:
              - `type` (string, required)
                Sip10 asset identifier type.
              - `sip10` (object, required)
                The Sip10 details.
              - `sip10.chain` (string, required)
                The chain details this address is of.
                Enum: same as `chain` in "native" (1 values)
              - `sip10.hex_repr` (string, required)
                Hexadecimal representation of the address in the chain.
                Example: "SP3J4NWQXC312DK0GXVRZKSRFBZG8S5FG1D2160E9"
          - `chain` (object, required)
          - `chain.chain_type` (string, required)
            The type of the chain.
          - `chain.unique_id` (string, required)
            The type of the Stacks-based chain.
            Enum: same as `chain` in "native" (1 values)
          - `chain.name` (string, required)
            The full blockchain name.
          - `chain.native_currency_symbol` (string, required)
            The native currency symbol.
            Example: "ETH"
          - `chain.native_currency_name` (string, required)
            The native currency name.
            Example: "Ether"
          - `chain.blockchain_explorer` (object)
            A blockchain explorer entry point.
          - `chain.blockchain_explorer.transaction_url` (string, required)
            Example: "https://etherscan.io/tx/"
          - `chain.blockchain_explorer.address_url` (string, required)
            Example: "https://etherscan.io/address/"
          - `chain.blockchain_explorer.root_url` (string, required)
            Example: "https://etherscan.io/"
          - `chain.blockchain_explorer.transaction_format_url` (string)
            Example: "https://etherscan.io/tx/%s"
          - `chain.blockchain_explorer.address_format_url` (string)
            Example: "https://etherscan.io/address/%s"
          - `chain.blockchain_explorer.asset_format_url` (string)
            Example: "https://etherscan.io/address/%s"
          - `chain.logo_url` (string, required)
            The logo URL of the chain.
          - `chain.is_testnet` (boolean, required)
            Whether the chain is on a testnet.
          - `chain.is_enabled` (boolean, required)
            Whether the chain is enabled.
        - starknet:
          - `type` (string, required)
            Starknet asset identifier type.
          - `details` (any, required) — one of (discriminator: type):
            - erc20:
              - `type` (string, required)
                Erc20 asset identifier type.
              - `erc20` (object, required)
                The Erc20 details.
              - `erc20.chain` (string, required)
                The chain details this address is of.
                Enum: same as `erc20.chain` in "erc20" (1 values)
              - `erc20.hex_repr` (string, required)
                Hexadecimal representation of the address in the chain.
                Example: "0x0448f450e64B50dDF49e9F95C5b63a15cD21E21a39cA2D45628d9E5B27e5e1D8"
            - native:
              - `type` (string, required)
                Starknet asset identifier type.
              - `chain` (string, required)
                The details of the chain of the native asset.
                Enum: same as `erc20.chain` in "erc20" (1 values)
          - `chain` (object, required)
          - `chain.chain_type` (string, required)
            The type of the chain.
          - `chain.unique_id` (string, required)
            The type of the Starknet-based chain.
            Enum: same as `erc20.chain` in "erc20" (1 values)
          - `chain.name` (string, required)
            The full blockchain name.
          - `chain.native_currency_symbol` (string, required)
            The native currency symbol.
            Example: "ETH"
          - `chain.native_currency_name` (string, required)
            The native currency name.
            Example: "Ether"
          - `chain.blockchain_explorer` (object)
            A blockchain explorer entry point.
          - `chain.blockchain_explorer.transaction_url` (string, required)
            Example: "https://etherscan.io/tx/"
          - `chain.blockchain_explorer.address_url` (string, required)
            Example: "https://etherscan.io/address/"
          - `chain.blockchain_explorer.root_url` (string, required)
            Example: "https://etherscan.io/"
          - `chain.blockchain_explorer.transaction_format_url` (string)
            Example: "https://etherscan.io/tx/%s"
          - `chain.blockchain_explorer.address_format_url` (string)
            Example: "https://etherscan.io/address/%s"
          - `chain.blockchain_explorer.asset_format_url` (string)
            Example: "https://etherscan.io/address/%s"
          - `chain.logo_url` (string, required)
            The logo URL of the chain.
          - `chain.is_testnet` (boolean, required)
            Whether the chain is on a testnet.
          - `chain.is_enabled` (boolean, required)
            Whether the chain is enabled.
        - stellar:
          - `type` (string, required)
            Stellar asset identifier type.
          - `details` (any, required) — one of (discriminator: type):
            - classic_asset:
              - `type` (string, required)
                Stellar asset identifier type.
              - `code` (string, required)
                The 1-4 character asset code.
              - `issuer` (object, required)
                The issuer address.
              - `issuer.chain` (string, required)
                The chain details this address is of.
                Enum: same as `issuer.chain` in "classic_asset" (1 values)
              - `issuer.base32_repr` (string, required)
                Hexadecimal representation of the address in the chain.
                Example: "GBRPYHIL2CI3FNQ4BXLFMNDLFJHO7W3B6FSHLTAVM2A4P45SHO4ZB7I2"
              - `chain` (string, required)
                The chain of the Classic Asset.
                Enum: same as `issuer.chain` in "classic_asset" (1 values)
            - native:
              - `type` (string, required)
                Stellar asset identifier type.
              - `chain` (string, required)
                The chain of the native asset.
                Enum: same as `issuer.chain` in "classic_asset" (1 values)
            - soroban_asset:
              - `type` (string, required)
                Stellar asset identifier type.
              - `address` (string, required)
                The Soroban asset address.
                Example: "GBRPYHIL2CI3FNQ4BXLFMNDLFJHO7W3B6FSHLTAVM2A4P45SHO4ZB7I2"
              - `chain` (string, required)
                The chain of the Soroban asset.
                Enum: same as `issuer.chain` in "classic_asset" (1 values)
          - `chain` (object, required)
          - `chain.chain_type` (string, required)
            The type of the chain.
          - `chain.unique_id` (string, required)
            The type of the Stellar chain.
            Enum: same as `issuer.chain` in "classic_asset" (1 values)
          - `chain.name` (string, required)
            The full blockchain name.
          - `chain.native_currency_symbol` (string, required)
            The native currency symbol.
            Example: "ETH"
          - `chain.native_currency_name` (string, required)
            The native currency name.
            Example: "Ether"
          - `chain.blockchain_explorer` (object)
            A blockchain explorer entry point.
          - `chain.blockchain_explorer.transaction_url` (string, required)
            Example: "https://etherscan.io/tx/"
          - `chain.blockchain_explorer.address_url` (string, required)
            Example: "https://etherscan.io/address/"
          - `chain.blockchain_explorer.root_url` (string, required)
            Example: "https://etherscan.io/"
          - `chain.blockchain_explorer.transaction_format_url` (string)
            Example: "https://etherscan.io/tx/%s"
          - `chain.blockchain_explorer.address_format_url` (string)
            Example: "https://etherscan.io/address/%s"
          - `chain.blockchain_explorer.asset_format_url` (string)
            Example: "https://etherscan.io/address/%s"
          - `chain.logo_url` (string, required)
            The logo URL of the chain.
          - `chain.is_testnet` (boolean, required)
            Whether the chain is on a testnet.
          - `chain.is_enabled` (boolean, required)
            Whether the chain is enabled.
        - sui:
          - `type` (string, required)
            Sui asset identifier type.
          - `details` (any, required) — one of (discriminator: type):
            - coin:
              - `type` (string, required)
                Coin asset identifier type.
              - `coin_type` (object, required)
                The Coin details.
              - `coin_type.chain` (string, required)
                The chain details this address is of.
                Enum: same as `coin_type.chain` in "coin" (2 values)
              - `coin_type.coin_type_str` (string, required)
                Coin type string representation.
            - native:
              - `type` (string, required)
                Sui asset identifier type.
              - `chain` (string, required)
                The details of the chain of the native asset.
                Enum: same as `coin_type.chain` in "coin" (2 values)
          - `chain` (object, required)
          - `chain.chain_type` (string, required)
            The type of the chain.
          - `chain.unique_id` (string, required)
            The type of the Sui-based chain.
            Enum: same as `coin_type.chain` in "coin" (2 values)
          - `chain.name` (string, required)
            The full blockchain name.
          - `chain.native_currency_symbol` (string, required)
            The native currency symbol.
            Example: "ETH"
          - `chain.native_currency_name` (string, required)
            The native currency name.
            Example: "Ether"
          - `chain.blockchain_explorer` (object)
            A blockchain explorer entry point.
          - `chain.blockchain_explorer.transaction_url` (string, required)
            Example: "https://etherscan.io/tx/"
          - `chain.blockchain_explorer.address_url` (string, required)
            Example: "https://etherscan.io/address/"
          - `chain.blockchain_explorer.root_url` (string, required)
            Example: "https://etherscan.io/"
          - `chain.blockchain_explorer.transaction_format_url` (string)
            Example: "https://etherscan.io/tx/%s"
          - `chain.blockchain_explorer.address_format_url` (string)
            Example: "https://etherscan.io/address/%s"
          - `chain.blockchain_explorer.asset_format_url` (string)
            Example: "https://etherscan.io/address/%s"
          - `chain.logo_url` (string, required)
            The logo URL of the chain.
          - `chain.is_testnet` (boolean, required)
            Whether the chain is on a testnet.
          - `chain.is_enabled` (boolean, required)
            Whether the chain is enabled.
        - ton:
          - `type` (string, required)
            TON asset identifier type.
          - `details` (any, required) — one of (discriminator: type):
            - jetton:
              - `type` (string, required)
                Jetton asset identifier type.
              - `jetton` (object, required)
                The Jetton details.
              - `jetton.chain` (string, required)
                The chain details this address is of.
                Enum: same as `jetton.chain` in "jetton" (1 values)
              - `jetton.address` (string, required)
                Contract address in a raw format.
            - native:
              - `type` (string, required)
                TON asset identifier type.
              - `chain` (string, required)
                The details of the chain of the native asset.
                Enum: same as `jetton.chain` in "jetton" (1 values)
          - `chain` (object, required)
          - `chain.chain_type` (string, required)
            The type of the chain.
          - `chain.unique_id` (string, required)
            The type of the TON-based chain.
            Enum: same as `jetton.chain` in "jetton" (1 values)
          - `chain.name` (string, required)
            The full blockchain name.
          - `chain.native_currency_symbol` (string, required)
            The native currency symbol.
            Example: "ETH"
          - `chain.native_currency_name` (string, required)
            The native currency name.
            Example: "Ether"
          - `chain.blockchain_explorer` (object)
            A blockchain explorer entry point.
          - `chain.blockchain_explorer.transaction_url` (string, required)
            Example: "https://etherscan.io/tx/"
          - `chain.blockchain_explorer.address_url` (string, required)
            Example: "https://etherscan.io/address/"
          - `chain.blockchain_explorer.root_url` (string, required)
            Example: "https://etherscan.io/"
          - `chain.blockchain_explorer.transaction_format_url` (string)
            Example: "https://etherscan.io/tx/%s"
          - `chain.blockchain_explorer.address_format_url` (string)
            Example: "https://etherscan.io/address/%s"
          - `chain.blockchain_explorer.asset_format_url` (string)
            Example: "https://etherscan.io/address/%s"
          - `chain.logo_url` (string, required)
            The logo URL of the chain.
          - `chain.is_testnet` (boolean, required)
            Whether the chain is on a testnet.
          - `chain.is_enabled` (boolean, required)
            Whether the chain is enabled.
        - tron:
          - `type` (string, required)
            TRON asset identifier type.
          - `details` (any, required) — one of (discriminator: type):
            - native:
              - `type` (string, required)
                TRON asset identifier type.
              - `chain` (string, required)
                The details of the chain of the native asset.
                Enum: same as `chain` in "native" (2 values)
            - trc20:
              - `type` (string, required)
                Trc20 asset identifier type.
              - `trc20` (object, required)
                The Trc20 details.
              - `trc20.chain` (string, required)
                The chain details this address is of.
                Enum: same as `chain` in "native" (2 values)
              - `trc20.base58_repr` (string, required)
                Base58 representation of the address in the chain.
                Example: "TJCnKsPa7y5okkXvQAidZBzqx3QyQ6sxMW"
          - `chain` (object, required)
          - `chain.chain_type` (string, required)
            The type of the chain.
          - `chain.unique_id` (string, required)
            The type of the Tron-based chain.
            Enum: same as `chain` in "native" (2 values)
          - `chain.name` (string, required)
            The full blockchain name.
          - `chain.native_currency_symbol` (string, required)
            The native currency symbol.
            Example: "ETH"
          - `chain.native_currency_name` (string, required)
            The native currency name.
            Example: "Ether"
          - `chain.blockchain_explorer` (object)
            A blockchain explorer entry point.
          - `chain.blockchain_explorer.transaction_url` (string, required)
            Example: "https://etherscan.io/tx/"
          - `chain.blockchain_explorer.address_url` (string, required)
            Example: "https://etherscan.io/address/"
          - `chain.blockchain_explorer.root_url` (string, required)
            Example: "https://etherscan.io/"
          - `chain.blockchain_explorer.transaction_format_url` (string)
            Example: "https://etherscan.io/tx/%s"
          - `chain.blockchain_explorer.address_format_url` (string)
            Example: "https://etherscan.io/address/%s"
          - `chain.blockchain_explorer.asset_format_url` (string)
            Example: "https://etherscan.io/address/%s"
          - `chain.logo_url` (string, required)
            The logo URL of the chain.
          - `chain.is_testnet` (boolean, required)
            Whether the chain is on a testnet.
          - `chain.is_enabled` (boolean, required)
            Whether the chain is enabled.
        - utxo:
          - `type` (string, required)
            Utxo asset identifier type.
          - `details` (object, required)
          - `details.type` (string, required)
            Utxo asset identifier type.
          - `details.chain` (string, required)
            The unique id of the chain of the asset.
            Enum: same as `details.chain` in "utxo" (7 values)
          - `chain` (object, required)
          - `chain.chain_type` (string, required)
            The type of the chain.
          - `chain.unique_id` (string, required)
            The UTXO chain unique ID.
            Enum: same as `details.chain` in "utxo" (7 values)
          - `chain.name` (string, required)
            The full blockchain name.
          - `chain.native_currency_symbol` (string, required)
            The native currency symbol.
            Example: "ETH"
          - `chain.native_currency_name` (string, required)
            The native currency name.
            Example: "Ether"
          - `chain.blockchain_explorer` (object)
            A blockchain explorer entry point.
          - `chain.blockchain_explorer.transaction_url` (string, required)
            Example: "https://etherscan.io/tx/"
          - `chain.blockchain_explorer.address_url` (string, required)
            Example: "https://etherscan.io/address/"
          - `chain.blockchain_explorer.root_url` (string, required)
            Example: "https://etherscan.io/"
          - `chain.blockchain_explorer.transaction_format_url` (string)
            Example: "https://etherscan.io/tx/%s"
          - `chain.blockchain_explorer.address_format_url` (string)
            Example: "https://etherscan.io/address/%s"
          - `chain.blockchain_explorer.asset_format_url` (string)
            Example: "https://etherscan.io/address/%s"
          - `chain.logo_url` (string, required)
            The logo URL of the chain.
          - `chain.is_testnet` (boolean, required)
            Whether the chain is on a testnet.
          - `chain.is_enabled` (boolean, required)
            Whether the chain is enabled.
      - `native_assets.priced_asset.asset_info.name` (string, required)
        The name of the asset.
      - `native_assets.priced_asset.asset_info.symbol` (string, required)
        The symbol (ticker) of the asset.
      - `native_assets.priced_asset.asset_info.decimals` (integer, required)
      - `native_assets.priced_asset.asset_info.verified` (boolean, required)
        True if this asset is verified by Fordefi, False otherwise.
      - `native_assets.priced_asset.asset_info.metadata_uri` (string)
        The URI of the asset metadata.
      - `native_assets.priced_asset.asset_info.is_spam` (boolean, required)
[...]
